"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const action = {
    title: 'Sync Anonymous ID',
    description: 'Sync Anonymous ID to CDP Resolution.',
    defaultSubscription: 'type = "page" or type = "track" or type = "identify"',
    platform: 'web',
    fields: {
        anonymousId: {
            label: 'Anonymous Id',
            description: 'The anonymous id of the user',
            type: 'string',
            required: true,
            default: {
                '@path': '$.anonymousId'
            }
        }
    },
    perform: (cdpResolution, { settings, payload }) => {
        cdpResolution.sync(settings.endpoint, settings.clientIdentifier, payload.anonymousId);
    }
};
exports.default = action;
//# sourceMappingURL=index.js.map